function onBegin()
    disableMovement()
    disableRetry()
    setFlag("radio", true)
    setFlag("nozoom", false)
    setFlag("zoom", false)
    setFlag("lightning", false)
    wait(2)
    walk(24)
    wait(1)
    walk(-20)
    say("APHYLLIX_BUFFER1_DIALOG1")
    wait(1)
    walk(-15)
    playSound("event:/Aph_RadioClick")
    setFlag("radio", false)
    wait(0.5)
    setFlag("zoom", true)
    say("APHYLLIX_BUFFER1_DIALOG2")
    setFlag("lightning", true)
    wait(0.15)
    playSound("event:/Aph_ThunderOne")
    wait(1)
    walk(20)
    say("APHYLLIX_BUFFER1_DIALOG3")
    setFlag("zoom", false)
    setFlag("nozoom", true)
    setFlag("fadetoblack", true)
    walk(250)

    enableMovement()
    enableRetry()
    endCutscene()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        setFlag("radio", false)
        enableRetry()
        enableMovement()
        teleportTo(865, 217, "A1")
    end
end